Bug 22586 - IntranetReportsHomeHTML no longer renders as HTML on reports-home.pl
Summary: IntranetReportsHomeHTML no longer renders as HTML on reports-home.pl
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Lucas Gass
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 13618
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-26 21:23 UTC by Lucas Gass
Modified: 2019-04-16 22:34 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22586: fix IntranetReportsHomeHTML filter (1.08 KB, patch)
2019-03-27 16:31 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 22586: IntranetReportsHomeHTML no longer renders as HTML on reports-home.pl (1.47 KB, patch)
2019-03-27 16:41 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 22586: IntranetReportsHomeHTML no longer renders as HTML on reports-home.pl (1.52 KB, patch)
2019-03-27 19:24 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 22586: IntranetReportsHomeHTML no longer renders as HTML on reports-home.pl (1.62 KB, patch)
2019-03-29 10:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2019-03-26 21:23:43 UTC
As of 18.11 the IntranetReportsHomeHTML syspref no longer renders HTML on report-home.pl. I think this is being filtered wrong in the template.
Comment 1 Lucas Gass 2019-03-27 16:31:50 UTC
Created attachment 87095 [details] [review]
Bug 22586: fix IntranetReportsHomeHTML filter
Comment 2 Lucas Gass 2019-03-27 16:41:25 UTC
Created attachment 87096 [details] [review]
Bug 22586: IntranetReportsHomeHTML no longer renders as HTML on reports-home.pl

As of 18.11 the IntranetReportsHomeHTML syspref no longer renders HTML
on report-home.pl. I think this is being filtered wrong in the template.

Test Plan:

1) Edit IntranetReportsHomeHTML, set to "<p>Test</p>"
2) View a report, note that you see the html p tags are displayed
litterly
3) Apply this patch
4) Reload the page
5) Note the p tags are rendered as html
Comment 3 ByWater Sandboxes 2019-03-27 19:24:50 UTC
Created attachment 87116 [details] [review]
Bug 22586: IntranetReportsHomeHTML no longer renders as HTML on reports-home.pl

As of 18.11 the IntranetReportsHomeHTML syspref no longer renders HTML
on report-home.pl. I think this is being filtered wrong in the template.

Test Plan:

1) Edit IntranetReportsHomeHTML, set to "<p>Test</p>"
2) View a report, note that you see the html p tags are displayed
litterly
3) Apply this patch
4) Reload the page
5) Note the p tags are rendered as html

Signed-off-by: George Williams <george@nekls.org>
Comment 4 George Williams (NEKLS) 2019-03-28 13:31:12 UTC
Tested successfully on ByWater sandboxes
Comment 5 Marcel de Rooy 2019-03-29 10:18:53 UTC
Created attachment 87169 [details] [review]
Bug 22586: IntranetReportsHomeHTML no longer renders as HTML on reports-home.pl

As of 18.11 the IntranetReportsHomeHTML syspref no longer renders HTML
on report-home.pl. I think this is being filtered wrong in the template.

Test Plan:

1) Edit IntranetReportsHomeHTML, set to "<p>Test</p>"
2) View a report, note that you see the html p tags are displayed
litterly
3) Apply this patch
4) Reload the page
5) Note the p tags are rendered as html

Signed-off-by: George Williams <george@nekls.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Nick Clemens 2019-03-29 11:46:14 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-04-01 14:08:21 UTC
Pushed to 18.11.x for 18.11.05
Comment 8 Lucas Gass 2019-04-01 16:51:28 UTC
not backporting this to the 18.05.x series